IJoueurM

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Interface IJoueurM

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  JoueurMImpl

    public interface IJoueurM

extends java.rmi.Remote

Interface Joueur Manuel

Method Summary
`java.lang.String` | `affiche()` AFFICHAGE
`java.lang.String` | `affichePlis()`
`void` | `chkoba()`
`boolean` | `cinqCartes(ICarte c, IPlateau plateau)`
`int` | `compteCarreaux()`
`int` | `compteSept()`
`int` | `compteSix()`
`int` | `coupsPossibles(ICarte c, IPlateau plateau)`
`boolean` | `deuxCartes(ICarte c, IPlateau plateau)`
`int` | `getChkoba()`
`IMain` | `getMain()`
`java.lang.String` | `getNom()`
`void` | `jouer(IPlateau p)` METHODES
`boolean` | `mainEstVide()` ACCESSEURS
`void` | `poser(IPlateau plateau)`
`void` | `prendre(IPlateau plateau, int carteMax)`
`boolean` | `quatreCartes(ICarte c, IPlateau plateau)`
`boolean` | `septCarreau()`
`void` | `setNom(java.lang.String s)`
`void` | `setVide(boolean b)`
`boolean` | `sixCartes(ICarte c, IPlateau plateau)`
`boolean` | `troisCartes(ICarte c, IPlateau plateau)`

Method Detail

### jouer

    void jouer(IPlateau p)
               throws java.rmi.RemoteException

  METHODES

  Throws:
    `java.rmi.RemoteException`

### chkoba

    void chkoba()
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### deuxCartes

    boolean deuxCartes(ICarte c,
                       IPlateau plateau)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### troisCartes

    boolean troisCartes(ICarte c,
                        IPlateau plateau)
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### quatreCartes

    boolean quatreCartes(ICarte c,
                         IPlateau plateau)
                         throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### cinqCartes

    boolean cinqCartes(ICarte c,
                       IPlateau plateau)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### sixCartes

    boolean sixCartes(ICarte c,
                      IPlateau plateau)
                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### coupsPossibles

    int coupsPossibles(ICarte c,
                       IPlateau plateau)
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### compteCarreaux

    int compteCarreaux()
                       throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### septCarreau

    boolean septCarreau()
                        throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### compteSept

    int compteSept()
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### compteSix

    int compteSix()
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### poser

    void poser(IPlateau plateau)
               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### prendre

    void prendre(IPlateau plateau,
                 int carteMax)
                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### mainEstVide

    boolean mainEstVide()
                        throws java.rmi.RemoteException

  ACCESSEURS

  Throws:
    `java.rmi.RemoteException`

### getMain

    IMain getMain()
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getNom

    java.lang.String getNom()
                            throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getChkoba

    int getChkoba()
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setVide

    void setVide(boolean b)
                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### setNom

    void setNom(java.lang.String s)
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### affiche

    java.lang.String affiche()
                             throws java.rmi.RemoteException

  AFFICHAGE

  Throws:
    `java.rmi.RemoteException`

### affichePlis

    java.lang.String affichePlis()
                                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD